<?php declare(strict_types=1);

namespace uib\ub\loadspeakr;

final class Configuration
{
    private array $configs;

    /**
     * @throws \Exception
     */
    public function __construct(array $conf)
    {
        if (count($conf) === 0) {
            throw new \Exception(
              'Configuration empty. Giving up.'
            );
        }

        $this->configs['conf'] = $conf;
    }

    public function getConfigValue(string $type, string $key)
    {
        if (!isset($this->configs[$type][$key])) {
            return '';
        }

        return $this->configs[$type][$key];
    }

    public function debugMode(): bool
    {
        return $this->configs['conf']['debug'];
    }

}
